-- airport
insert into airport values('YYZ', 'PEARSON', 'Canada', 'TORONTO');
insert into airport values('XYZ', 'ELVEL', 'Greece', 'ATHENS');
insert into airport values('ABC', 'CHENNAI', 'India', 'MADRAS');
insert into airport values('JKW', 'STRAUSS', 'Germany', 'MUNICH');
insert into airport values('YYY', 'VANCOUVER', 'Canada', 'VANCOUVER');

-- aircraft type
insert into aircraftType values(1, 600, 1000);
insert into aircraftType values(2, 400, 800);
insert into aircraftType values(3, 750, 1200);
insert into aircraftType values(4, 1000, NULL);

-- aircraft
insert into aircraft values(1, 1);
insert into aircraft values(2, 1);
insert into aircraft values(3, 2);
insert into aircraft values(4, 2);
insert into aircraft values(5, 3);
insert into aircraft values(6, 3);
insert into aircraft values(7, 4);
insert into aircraft values(8, 1);
insert into aircraft values(9, 1);
insert into aircraft values(10, 2);

-- company
insert into company values('OL', 'ATHENS');
insert into company values('LU', 'MUNICH');
insert into company values('AI', 'DELHI');
insert into company values('AC', 'TORONTO');
insert into company values('AL', NULL);
insert into company values('AF', NULL);

-- employee
insert into employee values(100, 'OL', 'Smith','Susan');
insert into employee values(101, 'OL', 'Brown', 'Robert');
insert into employee values(102, 'LU', 'Flemming', 'Sandford');
insert into employee values(103, 'LU', 'Garbo', 'Greta');
insert into employee values(104, 'AI', 'Chopra', 'Deepak');
insert into employee values(105, 'AI', 'Singh', 'Barbara');
insert into employee values(106, 'AI', 'Miller', 'Christine');
insert into employee values(107, 'AI', 'Cummings', 'Caroline');
insert into employee values(108, 'AF', 'Levesque', 'Jean');
insert into employee values(109, 'AF', 'Gagnon', 'Guy');
insert into employee values(110, 'AF', 'Prefontaine', 'Jacqueline');
insert into employee values(111, 'AC', 'Baker', 'Jessica');
insert into employee values(112, 'OL', 'Samiraz', 'Franchesca');
insert into employee values(113, 'AC', 'Pines', 'Joanne');
insert into employee values(114, 'AC', 'McMillan', 'Douglas');
insert into employee values(115, 'AL', 'Difortuno', 'Enza');
insert into employee values(116, 'AL', 'Versace', 'Donaldo');
insert into employee values(117, 'AC', 'Fretz', 'Dianne');
insert into employee values(118, 'OL', 'Papangelis', 'Manos');
insert into employee values(119, 'AI', 'Shapiro', 'Ravi');
insert into employee values(120, 'OL', 'Loukopolous', 'Alexis');
insert into employee values(121, 'AC', 'Scott', 'Duncan');
insert into employee values(122, 'AC', 'Peters', 'Rhonda');
insert into employee values(123, 'OL', 'Agopoulos', 'Cleo');
insert into employee values(124, 'LU', 'Muhler', 'Ulrich');
insert into employee values(125, 'AI', 'Balikrishnan', 'Harshad');
insert into employee values(126, 'AF', 'Cadieux', 'Catherine');
insert into employee values(127, 'AL', 'Sappetto', 'Antonio');

-- pilot
insert into pilot values(100, 'Captain');
insert into pilot values(101, 'Navigator');
insert into pilot values(112, 'First Officer');
insert into pilot values(102, 'Captain');
insert into pilot values(104, 'Captain');
insert into pilot values(114, 'Captain');
insert into pilot values(113, 'Captain');
insert into pilot values(117, 'Navigator');
insert into pilot values(121, 'First Officer');
insert into pilot values(106, 'Navigator');
insert into pilot values(107, 'Navigator');
insert into pilot values(105, 'First Officer');
insert into pilot values(108, 'Captain');
insert into pilot values(109, 'Navigator');
insert into pilot values(110, 'First Officer');
insert into pilot values(115, 'Captain');


--flightExpertise
insert into flightExpertise values(100, 1);
insert into flightExpertise values(100, 2);
insert into flightExpertise values(100, 3);
insert into flightExpertise values(101, 1);
insert into flightExpertise values(112, 1);
insert into flightExpertise values(102, 1);
insert into flightExpertise values(104, 2);
insert into flightExpertise values(104, 1);
insert into flightExpertise values(104, 3);
insert into flightExpertise values(104, 4);
insert into flightExpertise values(114, 2);
insert into flightExpertise values(105, 2);
insert into flightExpertise values(113, 2);
insert into flightExpertise values(117, 3);
insert into flightExpertise values(121, 3);
insert into flightExpertise values(106, 3);
insert into flightExpertise values(107, 3);
insert into flightExpertise values(108, 4);
insert into flightExpertise values(109, 4);
insert into flightExpertise values(110, 4);
insert into flightExpertise values(115, 4);
insert into flightExpertise values(115, 1);
insert into flightExpertise values(115, 3);

--flightAttendant
insert into flightAttendant values(100, 'English', 'French');
insert into flightAttendant values(103, 'English', NULL);
insert into flightAttendant values(111, 'French', 'English');
insert into flightAttendant values(116, 'English', 'German');
insert into flightAttendant values(118, 'English', 'French');
insert into flightAttendant values(119, 'English', NULL);
insert into flightAttendant values(120, 'GERMAN', NULL);
insert into flightAttendant values(122, 'Greek', 'English');
insert into flightAttendant values(123, 'Greek', NULL);
insert into flightAttendant values(124, 'Indian', 'English');
insert into flightAttendant values(125, 'Italian', 'English');
insert into flightAttendant values(126, 'English', 'French');
insert into flightAttendant values(127, 'English', NULL);

--flight
insert into flight values('OL', 1000, '01:10', '02:23', 'YYZ', 'YYY');
insert into flight values('OL', 1001, '20:34', '22:10', 'YYY', 'JKW');
insert into flight values('AC', 1002, '14:21', '21:59', 'ABC', 'JKW');
insert into flight values('AC', 1003, '06:43', '21:11', 'JKW', 'YYZ');
insert into flight values('AI', 1004, '02:27', '06:22', 'ABC', 'XYZ');
insert into flight values('LU', 1005, '17:32', '19:33', 'YYZ', 'YYY');
insert into flight values('LU', 1006, '18:36', '23:21', 'JKW', 'ABC');
insert into flight values('AL', 1007, '19:21', '21:54', 'XYZ', 'YYZ');
insert into flight values('AC', 1008, '22:50', '23:19', 'JKW', 'ABC');

--flightImplementation
insert into flightImplementation values('OL', 1000, '1999-01-08', 100, 1);
insert into flightImplementation values('OL', 1001, '1999-01-08', 101, 2);
insert into flightImplementation values('AC', 1002, '2000-02-08', 113, 3);
insert into flightImplementation values('AC', 1003, '1999-03-08', 114, 4);
insert into flightImplementation values('AI', 1004, '1999-03-09', 104, 5);
insert into flightImplementation values('LU', 1005, '1999-04-08', 107, 6);
insert into flightImplementation values('LU', 1006, '1999-04-08', 102, 1);
insert into flightImplementation values('AL', 1007, '1999-06-08', 102, 9);
insert into flightImplementation values('AC', 1008, '1999-07-11', 102, 7);
insert into flightImplementation values('AC', 1002, '2008-04-08', 113, 3);
insert into flightImplementation values('AC', 1002, '2008-05-08', 113, 3);

--crew
insert into crew values('OL', 1000, '1999-01-08', 100);
insert into crew values('OL', 1000, '1999-01-08', 101);
insert into crew values('OL', 1000, '1999-01-08', 123);
insert into crew values('AC', 1002, '2000-02-08', 111);
insert into crew values('AC', 1002, '2000-02-08', 121);
insert into crew values('AC', 1002, '2000-02-08', 122);
insert into crew values('AI', 1004, '1999-03-09', 104);
insert into crew values('AI', 1004, '1999-03-09', 105);
insert into crew values('AI', 1004, '1999-03-09', 106);
insert into crew values('LU', 1006, '1999-04-08', 124);
insert into crew values('LU', 1005, '1999-04-08', 124);


