import java.io.*;

public class TestAssignment3ScoreKeeper {

	static String method[] = new String[8];	/* stores the method name */
	static boolean result[] = new boolean[8];	/* stores success status of each method */
	static float scores[] = new float[8];
	static float assignedMarks[] = {1.0F, 3.0F, 2.0F, 2.0F, 3.0F, 2.0F, 3.0F, 1.0F};
	static final String filename = "tempScore.txt";
	
	static{
	// init all method names
	method[0] = "connectDB()";
	method[1] = "insertImplment()";
	method[2] = "getLanguageCount()";
	method[3] = "getCityCrew()";
	method[4] = "changePilot()";
	method[5] = "deleteFlight()";
	method[6] = "delayFlights()";
	method[7] = "disconnectDB()";

	for ( int i = 0; i < 8; i++ ){
		result[i] = false;
		scores[i] = 0.0F;
	}
	}
	
	public static void resetScores(){
		for ( int i = 0; i < 8; i++ ){
			result[i] = false;
			scores[i] = 0.0F;
		}	
	}
	
	public static void setScoreStatus(int method, float score, boolean success){
		result[method] = success;
		//scores[method] = score;
		setScore(method, score);
	}
	
	public static void setStatus(int method, boolean success){
		result[method] = success;
		//scores[method] = score;
	}
	
	public static void setScore(int i, float score){
		//result[method] = success;
		scores[i] = score;
		
		boolean exists = (new File(filename)).exists();
	    if (exists) {
	    	try {
		        BufferedWriter out = new BufferedWriter(new FileWriter(filename, true));
		        out.write(method[i] + " score is " + scores[i]+"/"+assignedMarks[i]+"\n");
		        out.close();
		    } catch (IOException e) {
		    }    
	    } else {
	        // File or directory does not exist
	    	try {
		        BufferedWriter out = new BufferedWriter(new FileWriter(filename));
		        out.write(method[i] + " score is " + scores[i]+"/"+assignedMarks[i]+"\n");
		        out.close();
		    } catch (IOException e) {
		    }
	    }
	}
	
	public static void printResults()	
	{
		String str;
		
		System.out.println("-----------------------------------------------");
		System.out.println("                     Summary                   ");
		System.out.println("-----------------------------------------------");
		for ( int i = 0; i < 8; i++ )
		{
			str = getTestStatus(result[i]);	
			System.out.println(method[i] + "\t" + str);
		}	
	}
	
	public static void printScore()	
	{
		/*float totalScore = 0.0F;
		
		System.out.println("-----------------------------------------------");
		System.out.println("                     Score                   ");
		System.out.println("-----------------------------------------------");
		for ( int i = 0; i < 8; i++ )
		{
			totalScore += scores[i];	
			System.out.println(method[i] + " score is " + scores[i]+"/"+assignedMarks[i]);
		}	
		System.out.println("The raw total score is "+ totalScore+"/17.0");*/
		
		System.out.println("-----------------------------------------------");
		System.out.println("                     Score                   ");
		System.out.println("-----------------------------------------------");
		
		//need to print out the test connection things
		System.out.println(method[0] + " score is " + scores[0]+"/"+assignedMarks[0]);
		System.out.println(method[7] + " score is " + scores[7]+"/"+assignedMarks[7]);
		
		try {
	        BufferedReader in = new BufferedReader(new FileReader(filename));
	        String str;
	        while ((str = in.readLine()) != null) {
	            System.out.println(str);
	        }
	        in.close();
	        
	        //now we are deleting that file
	        boolean success = (new File(filename)).delete();
		    if (!success) {
		        // Deletion failed
		    }
	    } catch (IOException e) {
	    }
	   
	}

	public static String getTestStatus(boolean val)
	{
		if (val == true)
			return "SUCCESS";
		else
			return "FAILURE";
	}	

}
